//=== HEADER & DATA =============================
Ti.include('../../common/winHeader.js');

//=== OBJECTS =============================
var tvTerms = Ti.UI.createTableView({
    backgroundColor: 'white',
    rowBackgroundColor: 'transparent',
    separatorColor: '#e1e1e1'
});

//=== FUNCTIONS =============================
function setTermRows(){
    var data = [];
    data.push(laf.table.section('Terms & Conditions'));
	data.push(laf.table.infoRow('Limit of one pass per person every six months. Redeemable by non-members only. All guests must prove that they are at least 18 years of age or older or are at least 14 years of age and accompanied by a parent or legal guardian. Facilities and classes may vary from club to club; extra charge for some amenities including courts, leagues, personal training and Kids Klub (babysitting). Not available for resale or redeemable for cash. This pass cannot be sold or listed for sale on-line auction sites such as eBay or uBid. Any such sale or listing is prohibited and will void the pass. LA Fitness International, LLC is registered in the state of Florida as a health studio, registration numbers HS3536, HS3766, HS3951, HS4130, HS4182, HS4217, HS4471, HS4516, HS4675, HS4793, HS4844, HS4845, HS4915, HS4934, HS4939, HS5111, HS5217, HS5681, HS5793, HS5810, HS5819, HS5825, HS5931, HS5939, HS5974, HS6150, HS6646, HS6647, HS6889, HS6922, HS6926, HS7147, HS7159, HS7177, HS7231, HS7339, HS7403, HS7516, HS7740, HS7803, HS7804, HS7838, HS7853, HS7894, HS8088, HS8092, HS8226, and in the state of Texas as a health studio, number 080543. (C)2009 LA Fitness International, LLC. All rights reserved.\n'));
    tvTerms.setData(data);
	laf.table.hideEmptyRows(tvTerms, false);
}

//=== EVENTS =============================

//=== DISPLAY =============================
setTermRows();
vwMain.add(tvTerms);
