//=== HEADER & DATA =============================
Ti.include('../../common/winHeader.js');

var clubID = winData.clubID;
var classID = (winData.classID == undefined) ? -1 : winData.classID;
var clubDescription = laf.data.clubScalar('Select DESCRIPTION FROM Club WHERE CLUB_ID = \'' + clubID + '\'');

//=== OBJECTS =============================
var clubDetails, clubHours, clubClasses;

var vwLocation = Ti.UI.createView({
    left: 0,
    right: 0,
    top: 0,
    height: 48,
    backgroundColor: '#576996'
});
vwLocation.add(Ti.UI.createView({
    backgroundImage: laf.path.images + 'club.png',
    left: 5,
    width: 29,
    height: 29
}));
vwLocation.add(Ti.UI.createLabel({
    color: 'white',
    font: {
        fontSize: 18,
        fontWeight: 'bold'
    },
    left: 45,
    minimumFontSize: 10,
    text: clubDescription
}));

//=== FUNCTIONS =============================
function tabChange(tabIndex){
    switch (tabIndex) {
        case 0:
            if (clubHours != undefined) {
                clubHours.hide();
            }
            if (clubClasses != undefined) {
                clubClasses.hide();
            }
            
            if (clubDetails == undefined) {
                laf.window.include('clubDetails.js');
                clubDetails = new clubDetails();
                vwMain.add(clubDetails.view());
            }
            clubDetails.refresh();
            clubDetails.show();
            break;
        case 1:
            if (clubDetails != undefined) {
                clubDetails.hide();
            }
            if (clubClasses != undefined) {
                clubClasses.hide();
            }
            
            if (clubHours == undefined) {
                laf.window.include('clubHours.js');
                clubHours = new clubHours();
                vwMain.add(clubHours.view());
            }
            clubHours.refresh();
            clubHours.show();
            break;
        case 2:
            if (clubDetails != undefined) {
                clubDetails.hide();
            }
            if (clubHours != undefined) {
                clubHours.hide();
            }
            
            if (clubClasses == undefined) {
                laf.window.include('clubClasses.js');
                clubClasses = new clubClasses();
                vwMain.add(clubClasses.view());
            }
            clubClasses.refresh(classID);
            clubClasses.show();
            classID = -1;
            break;
    }
}

//=== EVENTS =============================

//=== DISPLAY =============================
vwMain.add(vwLocation);
laf.window.footerTabs(['Details', 'Hours', 'Classes'], tabChange, (classID >= 0) ? 2 : 0);

