//=== HEADER & DATA =============================
var laf = Ti.App.laf; //Get alias to global laf instance
var win = Ti.UI.currentWindow;

var hasStats = true;
var stats = laf.data.workoutRow('SELECT Gender, Birthday FROM BasicStats WHERE Inactive = 0 LIMIT 1', ['Gender', 'Birthday']);
if (laf.verify.isEmpty(stats.Gender) || laf.verify.isEmpty(stats.Birthday)) {
	hasStats = false;
} else {
	var count = laf.data.workoutScalar('SELECT COUNT(*) FROM WeightHistory WHERE Inactive = 0');
	if (count == 0) {
		hasStats = false;
	} else {
		hasStats = (laf.data.workoutScalar('SELECT COUNT(*) FROM HeightHistory WHERE Inactive = 0') > 0);
	}
}

if (hasStats) {
    Ti.include('defaultTabs.js');
}
else {
    Ti.include('setup.js');
}
