//=== HEADER & DATA =============================
Ti.include('../../common/winHeader.js');

//=== OBJECTS ===================================		
var vwSummary, vwWorkout, vwProgress, vwHistory; 

//=== FUNCTIONS =================================
function tabChange(tabIndex){
    switch (tabIndex) {
        case 0:
			if (vwWorkout != undefined) {
				vwWorkout.hide();
			}		
            if (vwProgress != undefined) {
                vwProgress.hide();
            }
            if (vwHistory != undefined) {
                vwHistory.hide();
            }

			if (vwSummary == undefined) {
				laf.window.include('summary.js');
				vwSummary = new summary();
				vwMain.add(vwSummary.view());
			}
			vwSummary.refresh();
			vwSummary.show();			
            break;
        case 1:
			if (vwSummary != undefined) {
				vwSummary.hide();
			}		
            if (vwProgress != undefined) {
                vwProgress.hide();
            }
            if (vwHistory != undefined) {
                vwHistory.hide();
            }
			
			if (vwWorkout == undefined) {
				laf.window.include('workout.js');
				vwWorkout = new workout();
				vwMain.add(vwWorkout.view());
			}
			vwWorkout.refresh();
			vwWorkout.show();
            break;
        case 2:
			if (vwSummary != undefined) {
				vwSummary.hide();
			}
			if (vwWorkout != undefined) {
				vwWorkout.hide();
			}			
            if (vwProgress != undefined) {
                vwProgress.hide();
            }
			
            if (vwHistory == undefined) {
                laf.window.include('history.js');
                vwHistory = new history();
				vwMain.add(vwHistory.view());
            }
			vwHistory.refresh();			
            vwHistory.show();
            break;		
        case 3:		
			if (vwSummary != undefined) {
				vwSummary.hide();
			}
			if (vwWorkout != undefined) {
				vwWorkout.hide();
			}			
            if (vwHistory != undefined) {
				vwHistory.hide();
			}
			
            if (vwProgress == undefined) {
                laf.window.include('progress.js');
                vwProgress = new progress();
                vwMain.add(vwProgress.view());
            }			
            vwProgress.refresh();
            vwProgress.show();
            break;
    }
}

//=== EVENTS ===================================

//=== DISPLAY ==================================
laf.window.footerTabs(['Summary', 'Workout', 'History', 'Progress'], tabChange, 0);
