//=== HEADER & DATA =============================
Ti.include('../../common/winHeader.js');

//=== OBJECTS =============================
var tvWhyJoin = Ti.UI.createTableView({
    backgroundColor: 'white',
    rowBackgroundColor: 'transparent',
    separatorColor: '#e1e1e1'
});

var vwFooter = laf.window.footer(45);

vwFooter.add(Ti.UI.createLabel({
    color: 'white',
    font: {
        fontSize: 12,
        fontWeight: 'light'
    },
    height: 45,
    top: 0,
    text: '* Additional fees may apply for these services.\nPrices, equipment, design and amenities vary by location.',
    textAlign: 'center'
}));

//=== FUNCTIONS =============================
function setWhyJoinRows(){
    var data = [];
    
    data.push(laf.table.section('Why Join?'));
    data.push(laf.table.infoRow('State-of-the-art equipment & Cardio area'));
    data.push(laf.table.infoRow('Aerobic (group exercise) classes throughout the day; specialty classes, such as, Yoga, Cycling, Mat Pilates, Kickbox Cardio, Aqua Aerobics, and much more at no additional charge.'));
    data.push(laf.table.infoRow('Heated lap pool, whirlpool spa and saunas'));
    data.push(laf.table.infoRow('Racquetball, Tennis & Basketball* (tournaments and leagues available)'));
    data.push(laf.table.infoRow('Full locker facilities'));
    data.push(laf.table.infoRow('Personal Trainers*'));
    data.push(laf.table.infoRow('Kids Klub (babysitting)*'));
    data.push(laf.table.infoRow('Convenient locations throughout US and Canada'));
    data.push(laf.table.infoRow('Open 7 days per week; with some locations open 24 hours'));
    data.push(laf.table.infoRow('Juice Bar*'));
    
    tvWhyJoin.setData(data);
}

//=== EVENTS =============================

//=== DISPLAY =============================
setWhyJoinRows();
vwMain.add(tvWhyJoin);
