//=== HEADER & DATA =============================
Ti.include('../../common/winHeader.js');

//=== OBJECTS =============================
var vwProfile, vwReceipts, vwCheckins;

//=== FUNCTIONS =============================
function tabChange(tabIndex){
    switch (tabIndex) {
        case 0:
            if (vwReceipts != undefined) {
                vwReceipts.hide();
            }
            if (vwCheckins != undefined) {
                vwCheckins.hide();
            }
            
            if (vwProfile == undefined) {
                laf.window.include('profile.js');
                vwProfile = new profile();
                vwMain.add(vwProfile.view());
            }
            vwProfile.refresh();
            vwProfile.show();
            break;
        case 1:
            if (vwProfile != undefined) {
                vwProfile.hide();
            }
            if (vwCheckins != undefined) {
                vwCheckins.hide();
            }
			
            if (vwReceipts == undefined) {
                laf.window.include('receipts.js');
                vwReceipts = new receipts();
                vwMain.add(vwReceipts.view());
            }
            vwReceipts.refresh();
            vwReceipts.show();
            break;
        case 2:
            if (vwProfile != undefined) {
                vwProfile.hide();
            }
            if (vwReceipts != undefined) {
                vwReceipts.hide();
            }
            
            if (vwCheckins == undefined) {
                laf.window.include('checkins.js');
                vwCheckins = new checkins();
                vwMain.add(vwCheckins.view());
            }
            vwCheckins.refresh();
            vwCheckins.show();
            break;
    }
}

//=== EVENTS =============================

//=== DISPLAY =============================
laf.window.footerTabs(['Profile', 'Receipts', 'Checkins'], tabChange, 0);
